<?php
	$hoy = date("Y-m-d H:i:s");
	
	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["titulo"] != ""){
		
		if($_POST["id_banner"] != ""){
			mysqli_query($connect,"UPDATE Banners SET titulo = '".$_POST["titulo"]."', link = '".$_POST["link"]."', estado = '".$_POST["estado"]."' 
			WHERE id = '".$_POST["id_banner"]."'  ");
			
			include("controllers/subir_documento.php");
			if($_FILES['image'] != ""){
				$archivo = Subir_Documento($_FILES['image']);
				mysqli_query($connect,"UPDATE Banners SET image = '".$archivo."' WHERE id = '".$_POST["id_banner"]."' ");
			}
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
				  Información Actualizada.
				</div>
			';
		}
		else{
			
			mysqli_query($connect,"INSERT INTO Banners (titulo, imagen, link, estado, created_at) 
			VALUES 
			('".$_POST['titulo']."', '', '".$_POST["link"]."', '".$_POST["estado"]."', '".$hoy."' ) ");
			$id_reg = mysqli_insert_id($connect);		
				
			include("controllers/subir_documento.php");
			if($_FILES['image'] != ""){
				$archivo = Subir_Documento($_FILES['image']);
				mysqli_query($connect,"UPDATE Banners SET image = '".$archivo."' WHERE id = '".$id_reg."' ");
			}
			
			$respuesta = '
				<div class="alert alert-success" role="alert" style="margin-top:8px">
					 Información Guardada.
				</div>
			';
		}
		
	}
?>
<?php include("views/layouts/ficha_cliente.php"); ?> 
<?php echo $respuesta; ?>



<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-chevron-right"></i> Speakers</h5></td>
            <td align="right" width="200">
            	<input class="form-control" type="text" placeholder="Búsqueda rápida..." id="buscador" />
            </td>
        </tr>
    </table>
</div>

<div align="right">
	<a href="?pg=speaker/detalle">
		<button type="button" class="btn btn-warning btn-md " style="margin-bottom:15px">
			<i class="fa fa-plus btn-left"></i> Crear Speaker
		</button>
	</a>
</div>

<table class="table table-bordered">
	<thead class="thead-dark">
	<tr>
		<th scope="col" width="15">#</th>
		<th scope="col" width="150">Foto</th>
        <th scope="col" >Nombre</th>
		<th scope="col" width="100"></th>
	</tr>
	</thead>
    
	<tbody id="tabla_lista">
	<?php
		$count = 1;
		$query = mysqli_query($connect,"SELECT * FROM Conferencistas ORDER BY nombre DESC ");
		while($data = mysqli_fetch_array($query)){

			echo '
			<tr>
				<th scope="row">'.$count.'</th>
				<td><img src="'.$recursos_plubico.'/'.$data["foto"].'" width="100%" />   </td>
				<td><b>'.$data["nombre"].'</b><br>'.$data["profesion"].'</td>
				<td>
					<a href="?pg=speaker/detalle&id='.$data["id"].'">
					<button type="button" class="btn btn-success btn-sm">
						<i class="fa fa-edit"></i>
					</button>
					</a>
					<button type="button" class="btn btn-danger btn-sm"  onclick="Eliminar('.$data["id"].')">
						<i class="fa fa-times"></i>
					</button>
				</td>
			</tr>
			';
			$count++;
					
		}
	?>
	</tbody>
</table>

<script>

$(document).ready(function(){
	$("#buscador").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#tabla_lista tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	});	  
});

var api = '<?php echo $api; ?>';

var activar = false;
function Eliminar(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar un expositor, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"eliminar_speaker.php",
			type:'post',
			data: {id: id, url:"?pg=speakers"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}

function Del_Imagen(elem,tipo){
	$( elem).parent().html('<input type="file" class="form-control" name="image" required>');
}

</script>

<script src="js/functions.js"></script>